Name:           ikarus
Version:        0.0.3
Release:        4%{?dist}
Summary:        An incremental optimizing compiler for R6RS Scheme

Group:          Development/Languages
License:        GPLv3
URL:            http://www.cs.indiana.edu/~aghuloum/ikarus/
Source0:        http://www.cs.indiana.edu/~aghuloum/ikarus/ikarus-%{version}.tar.gz
#Patch0:         ikarus-0.0.1-bootfile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# 391531
ExcludeArch:    x86_64
# 391541
ExcludeArch:    ppc
# 391551
ExcludeArch:    ppc64

BuildRequires:  gmp-devel chkconfig
#Requires:       

%description
Ikarus Scheme is a free optimizing incremental native-code compiler
for Scheme as specified in the Revised^6 Report on the Algorithmic
Language Scheme.

Ikarus Scheme is an optimizing compiler, so your Scheme code will run
fast without the need to port hot spots to C "for performance". With
an incremental compiler, you don't need a separate compilation step to
make your program run fast. The best part is that the compiler itself
is fast, capable of compiling thousands of lines of code per second.

Finally, Ikarus Scheme is an R6RS compiler. R6RS is the latest
revision of the Scheme standard. The current release of Ikarus
supports over 90% of the most important features R6RS, and later
releases will bring Ikarus closer to full R6RS conformance. R6RS
libraries, scripts, record types, condition system, exception
handling, unicode strings, bytevectors, hashtable, and enumerations
are among the supported features.Ikarus is a free optimizing
incremental native-code compiler for R6RS Scheme.


%prep
%setup -q
#%patch0 -p1 -b .bootfile


%build
%configure --docdir=%{_docdir}/%{name}-%{version}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# rename scheme-script
cd $RPM_BUILD_ROOT%{_bindir}
mv scheme-script ikarus-scheme-script

%preun
%{_sbindir}/alternatives --remove scheme-script \
                         %{_bindir}/ikarus-scheme-script || :

%posttrans
%{_sbindir}/alternatives --install %{_bindir}/scheme-script \
                         scheme-script %{_bindir}/ikarus-scheme-script 80 || :

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/*
%{_libdir}/ikarus


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep  1 2008 Michel Salim <salimma@fedoraproject.org> - 0.0.3-2
- Own documentation directory

* Mon Jun  2 2008 Michel Salim <salimma@fedoraproject.org> - 0.0.3-1
- Update to 0.0.3

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.0.2-2
- Autorebuild for GCC 4.3

* Mon Dec  3 2007 Michel Salim <michel.sylvan@gmail.com> 0.0.2-1
- Update to 0.0.2

* Wed Nov 21 2007 Michel Salim <michel.sylvan@gmail.com> 0.0.1-4
- Remove excludearch line comments

* Mon Nov 19 2007 Michel Salim <michel.sylvan@gmail.com> 0.0.1-3
- Make ikarus.boot non-executable
- Use ExcludeArch instead of BuildArch 

* Sun Nov 18 2007 Michel Salim <michel.sylvan@gmail.com> 0.0.1-2
- Move boot file from _bindir to _libdir

* Mon Nov  5 2007 Michel Salim <michel.sylvan@gmail.com> 0.0.1-1
- Initial package
